infineon4engineers Facebook

infineon@google+ Google+

infineon@linkedin linkedin

infineon4engi@twitter twitter

infineon@youtube youtube

+ Reply to Thread
Results 1 to 4 of 4

Thread: #error "GLOBAL_ADC requires XMC Peripheral Library v2.0.0 or higher"

  1. #1
    New Member New Member phab is on a distinguished road
    Join Date
    Oct 2017
    Posts
    4
    Points
    25

    #error "GLOBAL_ADC requires XMC Peripheral Library v2.0.0 or higher"

    Hi everyone.

    Can anyone help with the following error in DAVE 4...

    #error "GLOBAL_ADC requires XMC Peripheral Library v2.0.0 or higher"


    I can generate code and build the project without errors for the example "ADC_MEASUREMENT_EXAMPLE_XMC45" project but if I try and incorporate the ADC_MEASUREMENT app into my own project I get the above error. The only changes I made were to increase the number of channels with my own channel names / pin mapping and a different interrupt handler name.

    Both projects are in the same workspace and DAVE 4 reports there are no updates available.

    I'm not even sure how to check which version of the XMCLib's are installed.

    Any help would be much appreciated.

    PHAB

  2. #2
    New Member New Member phab is on a distinguished road
    Join Date
    Oct 2017
    Posts
    4
    Points
    25
    I appear to be running XMCLib version 2.1.8 so higher than 2.0.0.

    Is there a setting in the project configuration which define which version of the XMCLib to use ?

  3. #3
    New Member New Member phab is on a distinguished road
    Join Date
    Oct 2017
    Posts
    4
    Points
    25
    So I found a solution (which I don't understand as all of my projects in DAVE 4 have been created in the last week using the same workspace and I assume the same XMCLib versions).

    1) I created a new project
    2) I copied the 'Libraries' folder and sub folders from the new project to my non working project
    3) Re-built non working project
    4) All errors are gone.

    If anyone can explain why this solved the problem I would appreciate it. Anyway I hope this helps others who may run into similar problems.

    Thanks
    PHAB

  4. #4
    Beginner Beginner David King is on a distinguished road
    Join Date
    Feb 2017
    Posts
    76
    Points
    470
    Hi,

    Infineon, there must be an easier solution.
    I tried the usual 'Install DAVE APP/Example/Device Library' and 'DAVE Project Upgrade > APPs Upgrade'
    But neither of those made a difference

    Regards,

    David King

+ Reply to Thread
Disclaimer

All content and materials on this site are provided “as is“. Infineon makes no warranties or representations with regard to this content and these materials of any kind, whether express or implied, including without limitation, warranties or representations of merchantability, fitness for a particular purpose, title and non-infringement of any third party intellectual property right. No license, whether express or implied, is granted by Infineon. Use of the information on this site may require a license from a third party, or a license from Infineon.


Infineon accepts no liability for the content and materials on this site being accurate, complete or up- to-date or for the contents of external links. Infineon distances itself expressly from the contents of the linked pages, over the structure of which Infineon has no control.


Content on this site may contain or be subject to specific guidelines or limitations on use. All postings and use of the content on this site are subject to the Usage Terms of the site; third parties using this content agree to abide by any limitations or guidelines and to comply with the Usage Terms of this site. Infineon reserves the right to make corrections, deletions, modifications, enhancements, improvements and other changes to the content and materials, its products, programs and services at any time or to move or discontinue any content, products, programs, or services without notice.